prometheus (2.5.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Increase max open FDs to allow for higher scrape target volume.
    Signed-off-by: Daniel Swarbrick <daniel.swarbrick@profitbricks.com>

  [ Martín Ferrari ]
  * New upstream release.
    Does not match exactly upstream's release, due to git history issues.
    Instead is based on commit c2f32c99.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Nov 2018 02:36:30 +0000

prometheus (2.4.3+ds-2) unstable; urgency=medium

  * Fix test hanging due to connections kept open. Closes: #911434.

 -- Martín Ferrari <tincho@debian.org>  Mon, 22 Oct 2018 04:09:52 +0000

prometheus (2.4.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add German debconf translation. Closes: #905760.
  * Refresh patches
  * Update autorest patch.
  * Disable pprof support until dependency is packaged.
  * Fix test fixtures paths.
  * Update Standards-Version with no changes.
  * debian/control: Depend on current TSDB version.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Oct 2018 15:37:24 +0000

prometheus (2.3.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update tsdb version dependency.
  * Bump Standards-Version (no changes).

 -- Martín Ferrari <tincho@debian.org>  Sat, 28 Jul 2018 23:14:10 +0000

prometheus (2.3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Adjust dependencies versions.

 -- Martín Ferrari <tincho@debian.org>  Fri, 29 Jun 2018 11:57:47 +0000

prometheus (2.3.0+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * New upstream version.
  * New dependency golang-github-json-iterator-go-dev.
  * Refresh patches.
  * Depend on version of fsnotify with new import path.
  * Depend on latest common and client libs; remove now unneeded patch.
  * Add debconf translations for es, fr, nl, pt, and ru.
    Closes: #898186, #898299, #899024, #899230, #900713.
  * debian/copyright: properly place repackaging comment.
  * debian/control: Automated cme fixes.
  * Update dh compat level to 11.
  * debian/postinst: Stop changing permissions recursively.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jun 2018 15:27:23 +0000

prometheus (2.2.1+ds-2) unstable; urgency=high

  * debian/control: Require latest TSDB version, that solves serious bugs
    in the DB.

 -- Martín Ferrari <tincho@debian.org>  Thu, 29 Mar 2018 09:17:37 +0000

prometheus (2.2.1+ds-1) unstable; urgency=high

  * New upstream release, with critical fixes.
  * Ignore fsnotify on mips64el, rely only on timeouts for file discovery on
    that platform, and disable the tests.
    https://github.com/fsnotify/fsnotify/issues/241

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Mar 2018 04:34:44 +0000

prometheus (2.2.0+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #888153.
  * Add notice about DB changes.
  * Update TSDB version.
  * Refresh patches.
  * Update Azure patch for new breakage.
  * Inline unreleased method from the golang client lib.
  * Stop creating a tsdb lockfile by default.
    Replace storage.tsdb.no-lockfile flag with storage.tsdb.use-lockfile, so
    the default is not to create a lockfile, while still allowing people to
    request the feature.  Closes: #890501
  * Rename patches, and remove unused AWS patch.

 -- Martín Ferrari <tincho@debian.org>  Wed, 14 Mar 2018 18:18:37 +0000

prometheus (2.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Re-vendor github.com/oklog/oklog/pkg/group.
  * Refresh patches.
  * Patch test that uses prometheus binary.
  * Refine and update versions of dependencies.
  * debian/init: Update metrics path.
  * debian/rules: Fix whatis entries in man pages.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 21:30:42 +0000

prometheus (2.0.0+ds3-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * New upstream release, with many breaking changes.
  * Remove new vendored dependencies.
  * Replace new JS vendored dependency with sources.
  * Revendor consul API.
  * Refresh patches.
  * debian/rules: Add new test fixtures.
  * Update cmdline help, init script, and add notice in NEWS.
  * Update default config.
  * Add missing licensing info.
  * debian/watch: More robust rules; accept more pre-releases.
  * Update overrides.
  * Stop using pristine-tar.
  * Increase compat to 10; remove dh-systemd dep.
  * Update Standards-Version and Priority.
  * debian/copyright: Remove now obsolete Files-Excluded. Closes: #884081

  [ Christoph Berg ]
  * The database format changed, metrics data directory is now
    /var/lib/prometheus/metrics2. On upgrade, a debconf prompt asks if the old
    data directory /var/lib/prometheus/metrics should be removed.
  * Add new B-D golang-github-cespare-xxhash-dev,
    golang-github-cockroachdb-cmux-dev, golang-github-dgryski-go-bits-dev,
    golang-github-gogo-protobuf-dev, golang-github-go-logfmt-logfmt-dev,
    golang-github-go-stack-stack-dev,
    golang-github-grpc-ecosystem-grpc-gateway-dev,
    golang-github-nightlyone-lockfile-dev, golang-github-oklog-ulid-dev,
    golang-github-pkg-errors-dev, golang-gopkg-alecthomas-kingpin.v2-dev.
  * Build prometheus and promtool manpages from --help-man.
  * Ship NOTICE file as required by the Apache license.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Jan 2018 19:22:17 +0100

prometheus (1.8.1+ds-2) unstable; urgency=medium

  * Replace gogo/protobuf dependency with golang equivalent.
  * Workaround for FTBFS in i386 until #877541 is solved.

 -- Martín Ferrari <tincho@debian.org>  Tue, 24 Oct 2017 22:32:55 +0000

prometheus (1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update AWS dependency and remove patch.
  * Re-vendor consul API.
  * Update Standards-Version and Priority.

 -- Martín Ferrari <tincho@debian.org>  Tue, 24 Oct 2017 10:32:53 +0000

prometheus (1.7.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * debian/watch: More robust rules; accept more pre-releases.
  * Update default config.
  * Stop using pristine-tar.
  * Increase compat to 10; remove dh-systemd dep.
  * Replace new JS vendored dependency with sources.

 -- Martín Ferrari <tincho@debian.org>  Mon, 02 Oct 2017 13:15:32 +0000

prometheus (1.7.1+ds-3) unstable; urgency=medium

  * Add patch to work with latest azure-go-autorest package.
  * Move adduser to normal Depends.
  * debian/control: Remove all non-direct dependencies.

 -- Martín Ferrari <tincho@debian.org>  Tue, 05 Sep 2017 01:46:43 +0000

prometheus (1.7.1+ds-2) unstable; urgency=medium

  * Update versioned dependency on -common.
  * Remove now unneeded lintian overrides.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * debian/control: Update Standards-Version (no changes).
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * Automatic fixes to control and copyright from cme.

 -- Martín Ferrari <tincho@debian.org>  Tue, 29 Aug 2017 00:17:30 +0000

prometheus (1.7.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, delete now unneeded 07-New_common_compat.patch.
  * Add new dependencies.
  * Update debian/changelog to reflect removed dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Aug 2017 08:08:16 +0000

prometheus (1.6.3+ds2-1) unstable; urgency=high

  * Add patch to handle properly old-style graph URLs, which are used by the
    Debian version of Grafana.
  * Only depend on daemon if systemd-sysv is not installed.
  * Use dh-systemd to properly enable systemd service.
  * debian/default: Update description of flags. Closes: #870147.
  * Repack upstream source:
    - Remove now unneeded influxDB vendored deps.
    - Remove all remaining vendored dependencies & use Debian packages.
      Closes: #851817.
  * Backport commit 4d9b917 to solve build failure. Closes: #868943.
    Increasing urgency as it is an RC bug.
  * Remove gen-orig-tgz target, replace with gbp configuration.
  * Renumber patches.

 -- Martín Ferrari <tincho@debian.org>  Sun, 30 Jul 2017 18:23:03 +0000

prometheus (1.6.3+ds-1) unstable; urgency=medium

  * Use new goleveldb package name. Closes: #866920.
  * New upstream release. Closes: #865786
  * debian/control: Update Standards-Version without changes.

 -- Martín Ferrari <tincho@debian.org>  Wed, 05 Jul 2017 11:03:15 +0000

prometheus (1.6.2+ds-2) unstable; urgency=medium

  * Uploading to unstable version already in experimental.
  * debian/control: Fix Vcs-* fields.
  * debian/control: Mark package as autopkgtest-able.

 -- Martín Ferrari <tincho@debian.org>  Wed, 21 Jun 2017 10:00:24 +0100

prometheus (1.6.2+ds-1) experimental; urgency=medium

  * New upstream release.
  * Add missing epoch from golang-go dependency.
  * Add version to libjs-mustache dependency. Closes: #855808.
  * Refresh patches.
  * Update copyright for embedded fuzzy lib.
  * Update dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 19 May 2017 21:12:15 +0000

prometheus (1.5.2+ds-2) unstable; urgency=medium

  * Disable "long" tests in arm*, which take way too long and run out of
    memory. Closes: #852959.

 -- Martín Ferrari <tincho@debian.org>  Fri, 10 Feb 2017 23:13:51 -0300

prometheus (1.5.2+ds-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Martín Ferrari <tincho@debian.org>  Sat, 11 Feb 2017 00:27:48 +0000

prometheus (1.5.0+ds-1) unstable; urgency=medium

  * The "Only use non-alternative facts for monitoring" release.
  * Refresh patches: re-enable test, disable parts of ec2 discovery that
    require a different sdk.
  * Disable completely Kubernetes support, due to the insane amount of
    dependencies in their client library.
  * Remove prometheus-cli from Recommends.
  * Add original sources for JS fuzzy library.

 -- Martín Ferrari <tincho@debian.org>  Thu, 26 Jan 2017 22:38:53 +0000

prometheus (1.2.3+ds2-5) unstable; urgency=medium

  * Last test failures were actually problems with fsnotify+gccgo.
    Throwing the towel on it: prometheus will only compile with golang-go for
    now.
  * Increase the tests timeout again even more for armel. Closes: #847764

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Dec 2016 11:17:25 +0100

prometheus (1.2.3+ds2-4) unstable; urgency=high

  * Remove unneeded dependencies.
  * Increase test timeouts (some tests still failing on slow arches),
    and re-enable disabled tests on arm.

 -- Martín Ferrari <tincho@debian.org>  Thu, 01 Dec 2016 12:07:27 +0100

prometheus (1.2.3+ds2-3) unstable; urgency=high

  * Re-enable buildflags (needed for version information), which were
    removed by mistake.
  * Avoid conflicts with vendored dependencies when compiling with gccgo.
  * Disable TestDropMetrics, which is flaky in armel and has been
    preventing transition to testing (raising urgency).

 -- Martín Ferrari <tincho@debian.org>  Wed, 30 Nov 2016 11:28:54 +0100

prometheus (1.2.3+ds2-2) unstable; urgency=medium

  * Fix the new datetime picker control (was not working at all).
    Closes: #844513.
  * Replace libjs-handlebars with libjs-mustache. Closes: #835661.
  * Add dependency on new golang-golang-x-oauth2-google-dev.

 -- Martín Ferrari <tincho@debian.org>  Thu, 17 Nov 2016 05:59:48 +0000

prometheus (1.2.3+ds2-1) unstable; urgency=high

  * The "We had all the monitoring and alerting, yet the worst still happened"
    release.
  * New source release, removing the vendoring of bootstrap-datetimepicker.
  * Switch to golang-google-cloud-compute-metadata-dev dep.
  * Backport math fixes from 1.3.1 that fix build issues in armel (raising
    urgency). Hopefully prometheus will enter testing again now.

 -- Martín Ferrari <tincho@debian.org>  Wed, 09 Nov 2016 21:07:14 +0000

prometheus (1.2.3+ds-2) unstable; urgency=medium

  * Correct extra unneeded deps (the relevant parts are already vendored-in).

 -- Martín Ferrari <tincho@debian.org>  Fri, 04 Nov 2016 00:54:10 +0000

prometheus (1.2.3+ds-1) unstable; urgency=medium

  * New upstream release, containing a few bugfixes.
  * Add minimum version for jquery dependency (relevant for backports).
  * Re-vendor github.com/hashicorp/consul until the Debian package is
    stable.
  * Remove unneeded build-deps.
  * Update dependency on golang-github-miekg-dns-dev.

 -- Martín Ferrari <tincho@debian.org>  Thu, 03 Nov 2016 23:45:07 +0000

prometheus (1.2.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 22:26:59 +0000

prometheus (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies.
  * Refresh patches.
  * Unvendor jquery and replace with Debian's packaged version.
  * Update prometheus-common dependency.

 -- Martín Ferrari <tincho@debian.org>  Sun, 23 Oct 2016 20:21:28 +0000

prometheus (1.1.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Switch away from node-less as it has bad arch support.

 -- Martín Ferrari <tincho@debian.org>  Sun, 02 Oct 2016 16:52:48 +0000

prometheus (1.1.2+ds-2) unstable; urgency=medium

  * Add a patch that fixes build issues in i386 and armhf.

 -- Martín Ferrari <tincho@debian.org>  Sat, 10 Sep 2016 20:06:40 +0000

prometheus (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release, fixing some bugs.

 -- Martín Ferrari <tincho@debian.org>  Fri, 09 Sep 2016 17:24:48 +0300

prometheus (1.1.1+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #835741.
  * debian/control: Update dependency name for client_golang.
  * debian/control: Add new dependency for gRPC.
  * debian/control: Add explicit dependency for snappy.
  * Install examples, but do not build them.
  * debian/patches/07-Disable_dns_test.patch: Disable test that accesses the
    network.

 -- Martín Ferrari <tincho@debian.org>  Thu, 08 Sep 2016 12:56:40 +0000

prometheus (1.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update dependency version for prometheus/common.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Aug 2016 13:08:24 +0100

prometheus (1.0.0+ds-1) unstable; urgency=medium

  * New upstream release. 1.0!
  * Update debian/copyright.
  * debian/patches:
    - Refresh patches.
    - Remove old patch for go 1.3 compatibility.
  * Add logrotate script.
  * Update default configuration (breaking changes).
  * debian/init: Check config during init.

 -- Martín Ferrari <tincho@debian.org>  Tue, 19 Jul 2016 04:48:06 +0000

prometheus (0.20.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides for new binary.
  * Update dependencies.

 -- Martín Ferrari <tincho@debian.org>  Fri, 24 Jun 2016 16:15:53 +0000

prometheus (0.19.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Remove obsolete golang-github-prometheus-log-dev
    dependency.
  * debian/control:
    - Update Vcs-Git to use HTTPS.
    - Switch to depend on golang-any instead of golang-go.
    - Change dh-golang dependency to work in backports.

 -- Martín Ferrari <tincho@debian.org>  Wed, 15 Jun 2016 11:49:27 +0000

prometheus (0.19.2+ds-2) unstable; urgency=medium

  * debian/rules: catch up with changes in linker flags so build information
    is shown again.

 -- Martín Ferrari <tincho@debian.org>  Tue, 31 May 2016 00:19:12 +0000

prometheus (0.19.2+ds-1) unstable; urgency=medium

  [ Filippo Giunchedi ]
  * debian/service: match sysvinit behaviour (send SIGTERM with 20s timeout,
    never send SIGKILL) Closes: #824842

  [ Martín Ferrari ]
  * New upstream release. Update dependencies.
  * Switch to use the golang-github-prometheus-client-model-dev package.
  * Improve the way datetimepicker is built.
  * Refresh patches.
  * Tidy up debian/rules.
  * debian/control: add versions to depends that solve bugs.

 -- Martín Ferrari <tincho@debian.org>  Mon, 30 May 2016 09:54:35 +0000

prometheus (0.18.0+ds-2) unstable; urgency=medium

  * Depend on fsnotify 1.3.0-3, which fixes build issues in arm64, ppc64, and
    ppc64el. Remove workaround patch.
  * Fix default configuration file. Closes: #822471.
  * debian/control: Update Standards-Version without changes.
  * debian/control: Make all URLs use https.

 -- Martín Ferrari <tincho@debian.org>  Sat, 30 Apr 2016 23:16:14 +0100

prometheus (0.18.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Tue, 19 Apr 2016 13:54:45 +0000

prometheus (0.18.0~rc1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Apr 2016 14:32:45 +0100

prometheus (0.17.0+ds-3) unstable; urgency=medium

  * Completely disable fsnofity in arm64, ppc64, and ppc64el, as it is broken
    in these architectures.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Mar 2016 21:50:05 +0100

prometheus (0.17.0+ds-2) unstable; urgency=medium

  * debian/rules: disable all retrieval tests for arm, as these are too flaky in
    slow architectures.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Mar 2016 17:43:15 +0000

prometheus (0.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/init: sleep longer when stopping the daemon.
  * debian/watch: fix watch file for RC releases.
  * debian/patches/06-Bug#818417-AWS_SDK_changes.patch: Fix FTBFS, thanks to
    Filippo Giunchedi for the patch. Closes: #818417.
  * debian/service: Add systemd unit, thanks to Michael Gebetsroither for the
    patch. Closes: #814802.
  * debian/init: Add support for reload, thanks to Filippo Giunchedi for the
    patch. Closes: #817403.
  * debian/default: Update default values and help text.

 -- Martín Ferrari <tincho@debian.org>  Sat, 26 Mar 2016 05:50:45 +0000

prometheus (0.16.2+ds-1) unstable; urgency=high

  * New upstream release.
  * debian/rules: improve build-reproducibility.
  * Fix build issues due to changes in dependencies. Closes: #811236.

 -- Martín Ferrari <tincho@debian.org>  Mon, 25 Jan 2016 11:05:02 +0000

prometheus (0.15.1+ds-2) unstable; urgency=high

  * Make the build date match the changelog, to improve reproducibility.
  * Disable completely some tests that depend on timing. Closes: #792053.

 -- Martín Ferrari <tincho@debian.org>  Fri, 28 Aug 2015 09:25:37 +0000

prometheus (0.15.1+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #792053.
  * Add missing dependency on adduser. Closes: #792498.
  * Update dependencies, refresh patches.
  * Stop adding examples as unowned files. Instead leave a README file pointing
    to the location of the examples. Closes: #792105.
  * debian/rules: Avoid some tests that fail on slow architectures.

 -- Martín Ferrari <tincho@debian.org>  Tue, 25 Aug 2015 02:57:50 +0000

prometheus (0.14.0+ds-1) unstable; urgency=medium

  * Fix upstream version (it is a repackage, so it should be marked).
  * Un-vendor github.com/prometheus/log as it is now a separate package.
  * debian/control: Update prometheus/log package name.
  * debian/postrm: Do not remove directories forcefully, as these are shared
    with other prometheus tools.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Jul 2015 08:21:19 +0000

prometheus (0.14.0-1) unstable; urgency=medium

  * Initial release. (Closes: #777048)

 -- Martín Ferrari <tincho@debian.org>  Tue, 30 Jun 2015 14:41:58 +0000
